import { breakupSlideTransformer } from "./breakupSlideTransformer.js";
import { containerSlideTransformer } from "./containerSlideTransformer.js";
import { itemsSlideTransformer } from "./itemsSlideTransformer.js";
import { switcherSlideTransformer } from "./switcherSlideTransformer.js";
import { widgetSlideTransformer } from "./widgetSlideTransformer.js";
export function sectionLayoutSection(section) {
    const slidesBreakup = breakupSlideTransformer(section);
    const slides = sectionItemsLayoutSection(section);
    const res = [...(slidesBreakup || []), ...(slides || [])];
    return res.length ? res : undefined;
}
export function sectionItemsLayoutSection(section) {
    return itemsSlideTransformer(section, (item) => {
        return (containerSlideTransformer(item, sectionLayoutSection) ||
            switcherSlideTransformer(item) ||
            widgetSlideTransformer(item));
    });
}
